"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Failure = void 0;
const Try_1 = require("./Try");
class Failure extends Try_1.Try {
    constructor(err) {
        super();
        this.err = err;
    }
    get() {
        throw this.err;
    }
    getCause() {
        return this.err;
    }
    isEmpty() {
        return false;
    }
    isFailure() {
        return true;
    }
    isSuccess() {
        return false;
    }
    stringPrefix() {
        return "Failure";
    }
    toString() {
        return this.stringPrefix() + "(" + this.err + ")";
    }
}
exports.Failure = Failure;
// Register the factory
Try_1.Try.failureFactory = (err) => new Failure(err);
