"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Success = void 0;
const Try_1 = require("./Try");
class Success extends Try_1.Try {
    constructor(value) {
        super();
        this.value = value;
    }
    get() {
        return this.value;
    }
    getCause() {
        throw new Error("Success.getCause");
    }
    isEmpty() {
        return false;
    }
    isFailure() {
        return false;
    }
    isSuccess() {
        return true;
    }
    stringPrefix() {
        return "Success";
    }
    toString() {
        return this.stringPrefix() + "(" + this.value + ")";
    }
}
exports.Success = Success;
// Register the factory
Try_1.Try.successFactory = (value) => new Success(value);
